Mein Techstack
===
<!--rehype:style=font-size: 38px; border-bottom: 0; display: flex; min-height: 260px; align-items: center; justify-content: center;-->

[![Last Commit (main branch)](https://shields.hadan-it.com/gitea/last-commit/stiebke/techstack.hadan.de/main?path=README.md&gitea_url=https%3A%2F%2Fgit.hadan-it.com&style=flat&logo=forgejo&label=last%20main%20commit)](https://git.hadan-it.com/stiebke/techstack.hadan.de/commits/branch/main)
[![Last Commit (develop branch)](https://shields.hadan-it.com/gitea/last-commit/stiebke/techstack.hadan.de/develop?path=README.md&gitea_url=https%3A%2F%2Fgit.hadan-it.com&style=flat&logo=forgejo&label=last%20develop%20commit)](https://git.hadan-it.com/stiebke/techstack.hadan.de/commits/branch/develop)
[![Build Status Main](https://git.hadan-it.com/stiebke/techstack.hadan.de/actions/workflows/main.yml/badge.svg?branch=main)](https://techstack.hadan.de)
[![Build Status Preview](https://git.hadan-it.com/stiebke/techstack.hadan.de/actions/workflows/develop.yml/badge.svg?branch=develop)](https://techstack.preview.hadan.de)
<!--rehype:style=text-align: center;-->
Mein Techstack – Eine Übersicht der Tools, Betriebssysteme, Sprachen und Anwendungen, die ich verwende. Dies ist quasi meine persönliche Awesome-List.

<!--idoc:ignore:start-->

## Inhalte

- [Mein Techstack](#mein-techstack)
- [Inhalte](#inhalte)
- [Betriebsysteme](#betriebsysteme)
    - [Linux](#text-editors)
    - [Microsoft Windows](#microsoft-windows)
    - [Sonstige Betriebsysteme](#sonstige-betriebsysteme)
- [License](#license)

<!--start-->
<!--idoc:ignore:end-->

## Betriebsysteme 

Ein **Betriebssystem**, auch **OS** (von englisch *operating system*) genannt, ist eine Zusammenstellung von Computerprogrammen, die die Systemressourcen eines Computers wie Arbeitsspeicher, Festplatten, Ein- und Ausgabegeräte verwaltet und diese Anwendungsprogrammen zur Verfügung stellt. 

### Linux

* [AlmaLinux](https://almalinux.org/) - **AlmaLinux** ist eine freie Linux-Distribution, die auf Red Hat Enterprise Linux (RHEL) des Unternehmens Red Hat aufbaut und dazu binärkompatibel ist.
* [CentOS Stream](https://centos.org) - CentOS Stream ist eine auf RHEL basierende Distribution. Es handelt sich dabei um eine Art Beta-Version mit täglichen Updates („Rolling-Releases“), die aktueller als die entsprechende RHEL-Version ist.
* [Debian](https://www.debian.org) - **Debian** ist ein gemeinschaftlich entwickeltes freies Betriebssystem. **Debian GNU/Linux** basiert auf den grundlegenden Systemwerkzeugen des GNU-Projektes sowie dem Linux-Kernel.
* [Fedora](https://fedoraproject.org) - **Fedora** ist eine RPM-basierte Linux-Distribution.
* [Red Hat Enterprise Linux](https://www.redhat.com/de/technologies/linux-platforms/enterprise-linux) - **Red Hat Enterprise Linux** (**RHEL**) ist eine populäre Linux-Distribution, die von der Firma Red Hat hergestellt wird und auf den Unternehmensmarkt abgestimmt ist.
* [Rocky Linux](https://rockylinux.org) - **Rocky Linux** ist eine Linux-Distribution, die auf Red Hat Enterprise Linux basiert.
* [SUSE Linux Enterprise Server](https://www.suse.com/de-de/products/server/) - **SUSE Linux Enterprise Server** (**SLES**) ist eine Linux-Distribution von SUSE, die speziell auf Unternehmenskunden ausgelegt ist.
* [Ubuntu](https://ubuntu.com) - **Ubuntu**, auch Ubuntu Linux, ist eine GNU/Linux-Distribution, die auf Debian basiert.

### Microsoft Windows 

* [Windows](https://www.microsoft.com/de-de/windows/windows-11?r=1) - **Windows** ist ein Betriebsystem für eine Workstation oder ein Tablet für Privatanwender oder Unternehmen.
* [Windows Server](https://www.microsoft.com/de-de/windows-server) - **Windows Server** ist eine Reihe von Windows-Betriebssystemen der NT-Linie speziell für Server.

### Sonstige Betriebsysteme 

* [macOS](https://www.apple.com/de/macos/) - Das Betriebssystem **macOS**, früher **Mac OS X** und **OS X**, ist das Betriebssystem des kalifornischen Hard- und Software-Unternehmens Apple für Laptop- und Desktop-Computer der Mac-Reihe.

## Entwicklung

### Website-Entwicklung

#### Static site generators (SSGs)

* [Hugo](https://gohugo.io/) - **Hugo** ist eine freie Software zur Erzeugung statischer Websites, der unter der Apache-Lizenz in der Version 2 verfügbar ist. Meine [persönliche Visitenkarte](https://iamstephan.info) ist damit realisiert, welche ich mit dem von mir adaptierten und erweiterten Theme [hugo-goa](https://git.hadan-it.com/stiebke/hugo-goa) ([Demo](https://preview.hadan-it.com/hugo-goa-demo/)) gestaltet habe.
* [iDoc](https://wangchujiang.com/idoc/) - Erzeuge statische Seiten aus allen Markdown-Dateien in einem Ordner. [Mein Techstack](https://techstack.hadan.de)  wurde mit **iDoc** realisiert.
* [MkDocs](https://www.mkdocs.org/) ist ein Generator für statische Websites, der für die Erstellung von Projektdokumentationen entwickelt wurde. Ich verwende hier die Erweiterung [Material for MkDocs](https://squidfunk.github.io/mkdocs-material/) um eine ansprechende Gestaltung der Websites zu gewährleisten und Zusatzfunktionen zu implementieren. Meine [persönliche Website](https://stephan.hadan.de) habe ich damit realisiert.

## Programmiersprachen

* [COBOL]() - **COBOL** ist eine Programmiersprache, die in der Frühzeit der Computerentwicklung, Ende der 1950er-Jahre, entstand und bis heute verwendet wird.
* [Eiffel](https://www.ecma-international.org/publications-and-standards/standards/ecma-367/) - **Eiffel** ist eine universelle, rein objektorientierte Programmiersprache und wurde 1985 von dem französischen Informatiker Bertrand Meyer und seiner Firma Interactive Software Engineering Inc. (Goleta, Kalifornien) als Alternative zu C++ entworfen.
* [Microsoft Visual FoxPro](https://learn.microsoft.com/en-us/previous-versions/visualstudio/foxpro/mt490117(v=msdn.10)?redirectedfrom=MSDN) - **Microsoft Visual FoxPro** (*VFP*) ist eine 2007 abgekündigte RAD-Programmierumgebung von Microsoft für datenzentrierte Anwendungen.
* [Perl](https://www.perl.org) - **Perl** ist eine freie, plattformunabhängige und interpretierte Programmiersprache, die mehrere Paradigmen unterstützt.
* [Python](https://www.python.org) - **Python** ist eine universell nutzbare, üblicherweise interpretierte, höhere Programmiersprache.

### Shellprogrammierung

* [Bash](https://www.gnu.org/software/bash/) - **Bash** (auch **BASH** oder **bash**), die **Bourne-again shell**, ist eine freie Unix-Shell unter GPL.
* [Powershell](https://docs.microsoft.com/de-de/powershell/) - **PowerShell** (auch **Windows PowerShell** und **PowerShell Core**) ist ein plattformübergreifendes Framework von Microsoft zur Automatisierung, Konfiguration und Verwaltung von Systemen, das einen Kommandozeileninterpreter inklusive Skriptsprache bietet.
* [Z shell (zsh)](https://www.zsh.org/) - Die **Z shell** (**zsh**) ist eine Unix-Shell, die sowohl als interaktive Login-Shell, als auch als ein mächtiger Kommandozeileninterpreter für Shellskripte verwendet werden kann.

## Tools zum Lesen und Schreiben

Anwendungen zum Bearbeiten von Text, ich bevorzuge Open-Source-Editoren.

### Texteditoren

* [CotEditor](https://coteditor.com/) - Leichtgewichtiger Editor für macOS.
* [Notepad++](https://notepad-plus-plus.org/) - **Notepad++** ist ein freier Texteditor für Windows. 
* [Vim](https://www.vim.org/) - **Vim** (Vi IMproved) ist eine Weiterentwicklung des Texteditors vi.

### Office-Anwendungen

* [LibreOffice](https://de.libreoffice.org/) - **LibreOffice** (Abkürzungen **LibO** oder **LO**) ist eine freie Zusammenstellung typischer Standardsoftware für Bürotätigkeiten (Office-Paket). Zu LibreOffice gehören Programme für Textverarbeitung (Writer), Tabellenkalkulation (Calc), Präsentation (Impress) und zum Erstellen von Zeichnungen (Draw). Ein Datenbankmanagementsystem (Base) und ein Formeleditor (Math) sind ebenfalls enthalten.
* [Microsoft Office](https://products.office.com/) - **Microsoft Office** ist ein Office-Paket von Microsoft für Windows, macOS, iOS, iPadOS, Android. 

### Markdown Tools

* [Marp](https://marp.app/) - **Marp** ist ein Ökosystem, mit dem Präsentationen in Markdown geschrieben werden können.
* [reveal.js](https://revealjs.com/) - **reveal.js** ist ein Open-Source-HTML-Präsentations-Framework. Es ermöglicht jedem, der einen Webbrowser hat, schöne Präsentationen kostenlos zu erstellen.  

### Notizen

* [Joplin](https://joplinapp.org/) - **Joplin** ist eine Open-Source-App für Notizen.
* [Microsoft OneNote](https://www.onenote.com/) - **Microsoft OneNote** ist eine Software zum Erstellen und Organisieren von Notizen.

### Tagebuch

* [linked](https://uselinked.com/de/) - Eine einfache, ablenkungsfreie Möglichkeit, Gedanken festzuhalten, den Geist zu entrümpeln und die Dinge zu behalten, an die man sich erinnern möchte.

### E-Books

### RSS 

### Sonstiges

## Lizenz

<p xmlns:cc="http://creativecommons.org/ns#" xmlns:dct="http://purl.org/dc/terms/"><a property="dct:title" rel="cc:attributionURL" href="https://techstack.hadan.de">Mein Techstack</a> von <a rel="cc:attributionURL dct:creator" property="cc:attributionName" href="https://stephan.hadan.de">Stephan Hadan</a> ist lizenziert unter <a href="https://creativecommons.org/licenses/by/4.0/?ref=chooser-v1" target="_blank" rel="license noopener noreferrer" style="display:inline-block;">Creative Commons Attribution 4.0 International<img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/cc.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/by.svg?ref=chooser-v1" alt=""></a></p>

<!--idoc:config:
title: Mein Techstack -
description: Eine Übersicht über die von mir eingesetzten Tools, Betriebsysteme, Sprachen und Anwendungen - Mein Techstack
-->
